> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for companies by domain

> Search for companies by domain name (e.g., `hubspot.com`).

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.companies.read', 'crm.objects.companies.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/crm-companies-v2.json POST /companies/v2/domains/{domain}/companies
openapi: 3.0.0
info:
  title: CRM Companies API v2
  version: 2.0.0
  description: Legacy CRM Companies API v2 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /companies/v2/domains/{domain}/companies:
    post:
      summary: Search for companies by domain
      description: Search for companies by domain name (e.g., `hubspot.com`).
      operationId: postcompaniesv2domainsdomaincompanies
      parameters:
        - name: domain
          in: path
          required: true
          description: The domain to search for companies by.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - limit
              properties:
                limit:
                  type: integer
                  description: >-
                    The number of records to return in a single request.
                    Supports values up to 100.
                requestOptions:
                  type: object
                  description: >-
                    A list of properties that will be included for the returned
                    companies.
                  properties:
                    properties:
                      type: array
                      items:
                        type: string
                offset:
                  type: object
                  description: >-
                    Each response will include a `hasMore` value and an offset
                    object.
                  properties:
                    isPrimary:
                      type: boolean
                    companyId:
                      type: integer
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Search for companies by domain - Example 1
                  value:
                    - limit: 2
                      requestOptions:
                        properties:
                          - domain
                          - createdate
                          - name
                          - hs_lastmodifieddate
                      offset:
                        isPrimary: true
                        companyId: 0
                    - value: '1502872954691'
                      timestamp: 1502872954691
                      source: CALCULATED
                      sourceId: null
                      versions:
                        - name: hs_lastmodifieddate
                          value: '1502872954691'
                          timestamp: 1502872954691
                          source: CALCULATED
                          sourceVid: []
                    - value: hubspot.com
                      timestamp: 1457708103847
                      source: COMPANIES
                      sourceId: null
                      versions:
                        - name: domain
                          value: hubspot.com
                          timestamp: 1457708103847
                          source: COMPANIES
                          sourceVid: []
                    - value: Hubspot, Inc.
                      timestamp: 1457708103906
                      source: BIDEN
                      sourceId: name
                      versions:
                        - name: name
                          value: Hubspot, Inc.
                          timestamp: 1457708103906
                          sourceId: name
                          source: BIDEN
                          sourceVid: []
                    - value: '1457708103847'
                      timestamp: 1457708103847
                      source: API
                      sourceId: null
                      versions:
                        - name: createdate
                          value: '1457708103847'
                          timestamp: 1457708103847
                          source: API
                          sourceVid: []
                    - value: '1498644245669'
                      timestamp: 1498644245669
                      source: CALCULATED
                      sourceId: null
                      versions:
                        - name: hs_lastmodifieddate
                          value: '1498644245669'
                          timestamp: 1498644245669
                          source: CALCULATED
                          sourceVid: []
                    - value: hubspot.com
                      timestamp: 1490280388204
                      source: API
                      sourceId: null
                      versions:
                        - name: domain
                          value: hubspot.com
                          timestamp: 1490280388204
                          source: API
                          sourceVid: []
                    - value: qweqwe2323
                      timestamp: 1490280388204
                      source: API
                      sourceId: null
                      versions:
                        - name: name
                          value: qweqwe2323
                          timestamp: 1490280388204
                          source: API
                          sourceVid: []
                    - value: '1490280388204'
                      timestamp: 1490280388204
                      source: API
                      sourceId: API
                      versions:
                        - name: createdate
                          value: '1490280388204'
                          timestamp: 1490280388204
                          sourceId: API
                          source: API
                          sourceVid: []
                    - companyId: 418736767
                      isPrimary: true

````